[EFL] Build failure to find gio-unix
authorryuan.choi@navercorp.com <ryuan.choi@navercorp.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 29 Apr 2015 14:34:53 +0000 (14:34 +0000)
committerryuan.choi@navercorp.com <ryuan.choi@navercorp.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 29 Apr 2015 14:34:53 +0000 (14:34 +0000)
https://bugs.webkit.org/show_bug.cgi?id=144083

Reviewed by Gyuyoung Kim.

Original patch by Doug Newgard <scimma22@outlook.com>

* Source/cmake/OptionsEfl.cmake: Moved geoclue block before find_package(GLIB...)

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@183545 268f45cc-cd09-0410-ab3c-d52691b4dbfc

ChangeLog
Source/cmake/OptionsEfl.cmake

index d3c4e51..67bc1f1 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,14 @@
+2015-04-29  Ryuan Choi  <ryuan.choi@navercorp.com>
+
+        [EFL] Build failure to find gio-unix
+        https://bugs.webkit.org/show_bug.cgi?id=144083
+
+        Reviewed by Gyuyoung Kim.
+
+        Original patch by Doug Newgard <scimma22@outlook.com>
+
+        * Source/cmake/OptionsEfl.cmake: Moved geoclue block before find_package(GLIB...)
+
 2015-04-28  Ryuan Choi  <ryuan.choi@navercorp.com>
 
         [CoordinatedGraphics] Merge TILED_BACKING_STORE guard with COORDINATED_GRAPHICS
index 062c9e8..0569518 100644 (file)
@@ -169,15 +169,6 @@ find_package(Eina ${EFL_REQUIRED_VERSION} REQUIRED CONFIG)
 find_package(Eo ${EFL_REQUIRED_VERSION} REQUIRED CONFIG)
 find_package(Evas ${EFL_REQUIRED_VERSION} REQUIRED CONFIG)
 
-find_package(Freetype2 2.4.2 REQUIRED)
-find_package(GLIB 2.38.0 REQUIRED COMPONENTS ${GLIB_COMPONENTS})
-find_package(HarfBuzz 0.9.2 REQUIRED)
-find_package(LibSoup 2.42.0 REQUIRED)
-
-if (ENABLE_BATTERY_STATUS)
-    find_package(Eldbus ${EFL_REQUIRED_VERSION} CONFIG)
-endif ()
-
 if (ENABLE_GEOLOCATION)
     list(APPEND GLIB_COMPONENTS gio-unix)
     find_package(GeoClue2 2.1.5)
@@ -189,6 +180,15 @@ if (ENABLE_GEOLOCATION)
     endif ()
 endif ()
 
+find_package(Freetype2 2.4.2 REQUIRED)
+find_package(GLIB 2.38.0 REQUIRED COMPONENTS ${GLIB_COMPONENTS})
+find_package(HarfBuzz 0.9.2 REQUIRED)
+find_package(LibSoup 2.42.0 REQUIRED)
+
+if (ENABLE_BATTERY_STATUS)
+    find_package(Eldbus ${EFL_REQUIRED_VERSION} CONFIG)
+endif ()
+
 if (ENABLE_MEDIA_STREAM)
     find_package(OpenWebRTC)
     if (OPENWEBRTC_FOUND)